カウンター

  • 22099総訪問者数:
  • 25今日の訪問者数:
  • 23昨日の訪問者数:
  • 29一日あたりの訪問者数:
  • 0現在オンライン中の人数:
  • 2014年9月21日カウント開始日:

マインクラフト1.12サーバプラグイン対応メモ

調査の進捗状況

マイクラサーバが1.12に対応したので、私の管理しているサーバのspigotプラグインも対応してるかなどの調査メモです。

注意:ここに掲載されている情報は、2017/6/21時点の情報です。最新ではないかもしれないので、ご注意を!
2017/6/21 サーバを1.12へ上げたので、このページの更新は終わります。実際にサーバへ入れたのは一部もう少し新しいバージョンになってたりします。

現在の進捗状況は以下の様な感じ。

  1. 【済】テストサーバ構築(Alicorn)
  2. 【済】テストサーバ構築(Avalon)
  3. 【済】サーバプログラムを1.12化し確認
  4. 【済】プラグインの最新化
  5. 【済】非対応プラグインをなんとかする※一部後回し
  6. 【済】資源生成準備
  7. 【済】リリース(6/21)

今回のVerUpに伴うPluginへの影響

主に内部(プログラム)に対する考察です。だいたい以下の様な感じっぽい。

  • 基本機能の廃止に伴う変化。例えば「実績」が「進捗」に変わったけど、それに伴いプラグインで「実績」イベントを取得出来なくなってます。メソッド的には非推奨になり機能しなくなっただけで、プラグイン自体は起動します(警告も出る)
  • 設定系のライブラリに変更?以下の様なメッセージを吐いて止まるプラグインが多いです。Yamlのファイル読み込み関数の引数の型が変わったのが原因っぽく見える。
    java.lang.NoSuchMethodError: org.bukkit.configuration.file.FileConfiguration.load
    あるいは
    java.lang.NoSuchMethodError: org.bukkit.configuration.file.YamlConfiguration.load
    など。
    また、設定ディレクトリにこれまでは「空白」が大丈夫(大分昔はOKだったけど、最近は警告が出て勝手に変更される)だったのが、今回から全くダメになり、プラグインが動かなくなりました。私のサーバの場合はFlyPaymentが影響を受けてます。
    この辺は自力でプラグインを直すなり、作者が直してくれるしかどうしようも無い、、、

    これまで↓
    [Server thread/WARN]: Plugin `Fly_Payment v3.2' uses the space-character (0x20) in its name `Fly Payment' - this is discouraged
    1.12化後↓
    [Server thread/ERROR]: Could not load 'plugins/FlyPayment_3.2.jar' in folder 'plugins': uses the space-character (0x20) in its name
  • 内部データがいくつか変わってて動かなくなったプラグインがあるようです。わかってる感じではmobの頭を出現させる際に「MHF_」で始まる系は旨く動かないようです。

 

プラグイン別動作確認状況

Spigotサーバ(ビルド番号はSpigot#268/Bukkit#268/CraftBukkit#800)で調査中です。

各項目の意味は以下の通り。

  • 1.11.2で使用…私のサーバで動かしてたプラグインバージョン。
  • 1.12で使用…1.12化に伴い確認してるプラグインバージョン。必ずしも不具合だけでなくて、機能Up目的で上げてるのもあり。
  • 動作…今の検証状態。○が1.12で動いてる。×が動いてない。△が動くけど問題あり。?は確認できない/するつもりが無いなど。
  • (fork:云々)は公式Pluginでは無く、他の人が改造(fork)したプラグイン。Tacticaになってる所は私が改造しています。

動かないプラグインについては、サーバの1.12対応まで継続して調査して変化があったら更新します。

Plugin Name 1.11.2で使用 1.12で使用 動作 備考
BungeeCord b1217 b1242 公式対応明記有り。ProtocolLibが古いと止まる。
BungeeTabListPlus 2.6.4 2.7.4 公式対応明記有り。
AntiCreeper v4.20 v4.20
AntiWither v0.6 v0.6
ArmorStandEditor 1.10.2-0.1.15 1.11.2-19 古くても動くが最新は日本語対応。
BlockHat v1.12 v1.12
BottledExp v1.7.3 v1.7.3
ChairsReloaded b156 (fork:Tactica)v4.10_tac1.12 今のところ対応アナウンス無し。対応しそうにも無いので、自分でforkしてなんとかした。
ChestCommands v3.1.4 v3.1.4
ChestShopLogger 0.1.8Beta 0.1.8Beta
ChestShop v3.8.12 v3.8.12
CountryFilter (fork:Tactica)1.2016.01.05-tac1.9 (fork:Tactica)1.2016.01.05-tac1.9 たぶん大丈夫。
CustomSkulls v0.2 v0.2 プレイヤー顔のみOK。Mobの頭はスティーブになる模様。
dynmap 2.3 2.5 古いVerでは動かない。新Verは公式に1.12対応明記有り
Dynmap-Towny 0.7 0.7 Dynmap次第で動く
Dynmap-WorldGuard 0.80.jar 0.80.jar Dynmap次第で動く
EchoPet (fork:Borlea)M11-b45 (fork:Borlea)v1.0.4-SNAPSHOT-b 古いVerでは動かない。新Verは公式に1.12対応明記有り
EpicBoss (fork:Tactica)0.1.0_tac1.11_b2 (fork:Tactica)0.1.0_tac1.12_b1
Essentials 2.x-SNAPSHOT-b16 2.x-SNAPSHOT-b16 新しいVerも有るけどローカライズが面倒なので上げてない
FlyPayment 3.2 3.2 × 最新の3.5も動作しない。EbiFlyで代用。但しworld変更処理に不具合があるので、カスタマイズ
v3.6.4_tac1.9 v3.6.4_tac1.9
GeoIPTools v1.0.2 v1.0.2 ?
HawkEye v1.6.2-b56 v1.6.2-b56
HolographicDisplays v2.2.3 v2.2.6 古いVerでも動くみたいだけど、新しいVerは公式に1.12対応明記有り
Jobs 3.7.2 3.9.3 古いVerでは動かない。新Verは公式に1.12対応明記有り
LWC (fork:Tactica)v4.5.0-SNAPSHOT-b938_DoorBugFix (fork:Tactica)v4.5.0-SNAPSHOT-b938_DoorBugFix
LegendaryMessages v6.0.2 v6.0.2
Lottery_Unofficial 1.1.0 1.1.0
LunaChat v2.8.0 v2.8.0
MCBans v4.3.5 v4.3.5
mcMMO 1.5.07-b173 1.5.07-b191 古いVerでは動かない。新Verは公式に1.12対応明記有り
MobArena v0.97.1 v0.98.1 古いVerでは動かない。新Verは公式に1.12対応明記有り
Modifyworld v1.19.7 (fork:sidekixmc)1.20-SNAPSHOT 今のところ対応アナウンス無し。fork版で動作確認
MonetaryDeathPenalty v2.23 v2.23
Multiverse-Core 2.5.0-SNAPSHOT_b725 2.5.0_b727 古いVerでも大丈夫。
Multiverse-Portals 2.5.0-SNAPSHOT_b748 2.5.0_b751 古いVerでは動かない。新Verは公式に1.12対応明記有り。
MyPet 2.2.9_b1121 2.3.0-SNAPSHOT_b1138 古いVerでは動かない。新Verは公式に1.12対応明記有り。
OpenInv v3.0.5 v3.2.1 古いVerでは動かない。新Verは公式に1.12対応明記有り。
PermissionsEx 1.23.4 1.23.4
PlgLogCmd v2.0 v2.0
PluginManager v1.2.2 v1.2.2
ProtocolLib b346 b373 古いVerでも動いてるように見えたけど、BungeeCordなどで異常が起きる。新Verは公式に1.12対応明記有り。
Questioner v0.6 v0.6
RecipeManager v2.8 v2.8  一部の機能が動いてない。v2.11で対応しそうな公式コメントあり
RegionForSale 2.6 2.6 × 今のところ対応アナウンス無し。
RunAs v1.1 v1.1
ScoreboardStats v0.9.15 v0.10.1 古いVerでも動くようだけど、新Verは公式に1.12対応明記有り。
ServerSigns b22 b22
SignEdit v3.3.10 v3.3.10 ×
SilkSpawners b369 b421 確認中 新Verは公式に1.12対応明記有り。
SimpleSort v1.6 v1.6
SimpleVoteListener v2.6 v2.6 ?
SkylandsPlus (fork:andrewkm)b20160304 (fork:andrewkm)b20160304
Stats (fork:Tactica)v2.0.2-tac1.9 (fork:Tactica)v2.0.2-tac1.9
StopKorean v2.0 v2.0 ?
TacTools 1.11.2-1.6.3 1.12.0-1.7.0
Tombstone 1.3.8-tac1.9 1.3.8-tac1.9
TownyChatSupport v1.0 v1.0
TownyNameUpdater v1.0 v1.0 ?
Towny v0.91.1.0 v0.91.4.7
TreeAssist v5.9.11_tac1.9 v5.9.11_tac1.9
Vault v1.5.6 v1.5.6
Votifier 1.9 1.9 ?
WorldBorder v1.8.5 v1.8.7
worldedit bukkit-6.1.3-SNAPSHOT-dist_b3558 bukkit-6.1.8-SNAPSHOT-dist
worldguard legacy-6.1.3-SNAPSHOT-dist_b1687 legacy-6.2.2-SNAPSHOT-dist_b1707 古いVerでは動かない。新Verは公式に1.12対応明記有り。

 

コメントを残す

これらのHTMLタグが利用可能です

<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

  

  

  

Time limit is exhausted. Please reload CAPTCHA.